Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153240 - warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8 public key not available for samba-3.0.11-6.i386.rpm
Summary: warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8 ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 21:41 UTC by Peter Ennis
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 18:19:43 UTC


Attachments (Terms of Use)

Description Peter Ennis 2005-04-03 21:41:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308
Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
yum update => no GPG key istalled for samba-3.0.11-6.i386.rpm.
Googled but no reference to where to get the key.


Performing the following to resolve dependencies:
  Install: gnome-python2-gnomevfs.i386 0:2.10.0-1 - development
  Install: libgcrypt-devel.i386 0:1.2.1-1 - development
  Install: libgpg-error-devel.i386 0:1.0-2 - development
  Install: libselinux-devel.i386 0:1.23.3-1 - development
  Install: perl-Compress-Zlib.i386 0:1.34-2 - development
  Install: sqlite-devel.i386 0:3.1.2-1 - development
Total download size: 462 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
public key not available for samba-3.0.11-6.i386.rpm
[root@lfs developer]#


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum update
2.
3.
    

Actual Results:  Performing the following to resolve dependencies:
  Install: gnome-python2-gnomevfs.i386 0:2.10.0-1 - development
  Install: libgcrypt-devel.i386 0:1.2.1-1 - development
  Install: libgpg-error-devel.i386 0:1.0-2 - development
  Install: libselinux-devel.i386 0:1.23.3-1 - development
  Install: perl-Compress-Zlib.i386 0:1.34-2 - development
  Install: sqlite-devel.i386 0:3.1.2-1 - development
Total download size: 462 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
public key not available for samba-3.0.11-6.i386.rpm
[root@lfs developer]#


Expected Results:  don't know, but would expect some help on getting and
installing the keys to continue


Additional info:

Ref: https://bugzilla.redhat.com/bugzilla-old/show_bug.cgi?id=136488

Comment 1 Seth Vidal 2005-04-11 18:19:43 UTC
This is addressed in this version of yum but it is ultimately a configuration
problem b/c yum simply needs to be told where the key is for that repository.

Comment 2 Peter Ennis 2005-04-11 19:59:10 UTC
I did the redhat install GPG keys thingy at setup.
This was the only rpm to complain.
Are you saying that my configuration is incomplete? If
so some directions on how to fix it would be helpful.
I have not been required to tell yum about any
other keys.



Note You need to log in before you can comment on or make changes to this bug.